Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Include/doc-file_source.sed
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Include/doc-file_source.sed	(revision 44)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Include/doc-file_source.sed	(revision 45)
@@ -16,5 +16,5 @@
 %------------------------------------------------------------------------------
 
-\pagestyle{empty}
+\pagestyle{plain}
 
 \begin{document}
@@ -22,5 +22,4 @@
 % Créez une page de titre
 \maketitle
-\thispagestyle{empty}
 
 %Table des matières et des figures
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/article-Design_a_CPU_with_High_Performance_and_High_Configurability_on_FPGA
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/article-Design_a_CPU_with_High_Performance_and_High_Configurability_on_FPGA	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/article-Design_a_CPU_with_High_Performance_and_High_Configurability_on_FPGA	(revision 45)
@@ -0,0 +1,1 @@
+doc
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/article-morpheo-share_architectural_ressources_between_hardware_context
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/article-morpheo-share_architectural_ressources_between_hardware_context	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/article-morpheo-share_architectural_ressources_between_hardware_context	(revision 45)
@@ -0,0 +1,1 @@
+doc
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-cache-specification
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-cache-specification	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-cache-specification	(revision 45)
@@ -0,0 +1,1 @@
+doc
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-configuration_file_syntax
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-configuration_file_syntax	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-configuration_file_syntax	(revision 45)
@@ -0,0 +1,1 @@
+doc
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-interface_processor_cache
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-interface_processor_cache	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-interface_processor_cache	(revision 45)
@@ -0,0 +1,1 @@
+doc
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-methodology
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-methodology	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-methodology	(revision 45)
@@ -0,0 +1,1 @@
+doc
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-new_component
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-new_component	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-new_component	(revision 45)
@@ -0,0 +1,1 @@
+doc
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-overview
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-overview	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-morpheo-overview	(revision 45)
@@ -0,0 +1,1 @@
+doc
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-viewer-specification
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-viewer-specification	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/document-viewer-specification	(revision 45)
@@ -0,0 +1,1 @@
+doc
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/poster-jnrdm_2007
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/poster-jnrdm_2007	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/poster-jnrdm_2007	(revision 45)
@@ -0,0 +1,1 @@
+poster
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/presentation-internal_seminary_overview
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/presentation-internal_seminary_overview	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/presentation-internal_seminary_overview	(revision 45)
@@ -0,0 +1,1 @@
+ppt
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/presentation-share_architectural_ressources_between_hardware_context
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/presentation-share_architectural_ressources_between_hardware_context	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Info/presentation-share_architectural_ressources_between_hardware_context	(revision 45)
@@ -0,0 +1,1 @@
+ppt
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Makefile
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Makefile	(revision 44)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Makefile	(revision 45)
@@ -19,5 +19,5 @@
 # Directory
 #--------------------------------------------------------------------------------
-VERSION			= "1.2" # 2007/02/21
+VERSION			= "1.3" # 2007/07/18
 
 DIR_DOCUMENTATION   	= ..
@@ -26,5 +26,5 @@
 DIR_DOCUMENTS		= Documents
 DIR_LANGUAGE		= Language
-DIR_TYPE		= Type
+DIR_TYPE		= Info
 DIR_GRAPH		= Graph
 DIR_SCHEMA		= Schema
@@ -63,5 +63,5 @@
 all 			: help
 
-doc			: $(DIR_TEX)  $(PNG_FILES) 
+doc			: $(PNG_FILES) $(DIR_TEX)
 			@											\
 			for file in $(ALL_FILES); do                                				\
@@ -79,6 +79,6 @@
 					fi;									\
 				done;										\
-			done;                                       		                	
-			@$(MAKE) doc_all
+			done;                                       		                		\
+			$(MAKE) doc_all;
 
 doc_all			: $(PDF_FILES)
@@ -89,24 +89,25 @@
 #--------------------------------------------------------------------------------
 %.pdf 			: %.ps
-			@$(ECHO) "Génération du fichier $*.pdf"
-			@$(PS2PDF) $< $@
-			@$(CP) $@ $(DIR_DOCUMENTATION)
+			@\
+			$(ECHO) "Génération du fichier $*.pdf";							\
+			$(PS2PDF) $< $@;									\
+			$(CP) $@ $(DIR_DOCUMENTATION);
 
 %.ps 			: %.dvi
-			@$(ECHO) "Génération du fichier $*.ps"
-			@$(DVIPS) -o $@ $<
+			@\
+			$(ECHO) "Génération du fichier $*.ps";							\
+			$(DVIPS) -o $@ $<;
 
 %.dvi 			: $(DIR_TEX)/%.tex
-			@$(ECHO) "Génération du fichier $*.dvi"
-			@#touch $(patsubst %.tex,%.ind,$<)
-			@$(LATEX_WITH_ENV) $<
-			@$(LATEX_WITH_ENV) $< > /dev/null
-			@#$(MAKEINDEX) $(patsubst %.tex,%.idx,$<)
-			@citation=`$(GREP) "citation" $*.aux`; \
-	                 if $(TEST) -n "$$citation" ; then  \
-			  $(BIBTEX) $* ; \
-			fi
-			@$(LATEX_WITH_ENV) $< > /dev/null
-			@$(LATEX_WITH_ENV) $< > /dev/null
+			@\
+			$(ECHO) "Génération du fichier $*.dvi";							\
+			$(LATEX_WITH_ENV) $<;									\
+			$(LATEX_WITH_ENV) $< > /dev/null;							\
+			citation=`$(GREP) "citation" $*.aux`; 							\
+	                 if $(TEST) -n "$$citation" ; then  							\
+			  $(BIBTEX) $* ; 									\
+			fi;											\
+			$(LATEX_WITH_ENV) $< > /dev/null;							\
+			$(LATEX_WITH_ENV) $< > /dev/null;
 
 #--------------------------------------------------------------------------------
@@ -363,30 +364,37 @@
 #--------------------------------------------------------------------------------
 $(DIR_SCHEMA_EPS)	:
-			@$(ECHO) "Make directory       : $@"
-			@$(MKDIR) $@
+			@\
+			$(ECHO) "Make directory       : $@";							\
+			$(MKDIR) $@;
 
 $(DIR_SCHEMA_PNG)	:
-			@$(ECHO) "Make directory       : $@"
-			@$(MKDIR) $@
+			@\
+			$(ECHO) "Make directory       : $@";							\
+			$(MKDIR) $@;
 
 $(DIR_TEX)       	:
-			@$(ECHO) "Make directory       : $@"
-			@$(MKDIR) $@
+			@\
+			$(ECHO) "Make directory       : $@";							\
+			$(MKDIR) $@;
 
 $(DIR_SCHEMA_PNG)/%.png : $(DIR_SCHEMA_EPS)/%.eps $(DIR_SCHEMA_PNG)
-			@$(ECHO) "Generate   files     : $*.png"
-#			@$(EPS2PNG) $< $@
-
-$(DIR_SCHEMA_EPS)/%.eps	: $(DIR_SCHEMA)/%.eps $(DIR_SCHEMA_EPS) $(DIR_SCHEMA_PNG)
-			@$(ECHO) "Generate   files     : $*.eps"
-			@$(CP) $(DIR_SCHEMA)/$*.eps $(DIR_SCHEMA_EPS)
-
-$(DIR_SCHEMA_EPS)/%.eps	: $(DIR_SCHEMA)/%.fig $(DIR_SCHEMA_EPS) $(DIR_SCHEMA_PNG)
-			@$(ECHO) "Generate   files     : $*.eps"
-			@$(FIG2EPS) $< $@
-
-$(DIR_SCHEMA_EPS)/%.eps	: $(DIR_GRAPH)/%.p    $(DIR_SCHEMA_EPS) $(DIR_SCHEMA_PNG)
-			@$(ECHO) "Generate   files     : $*.eps"
-			@$(CD) $(DIR_GRAPH); $(GNUPLOT) $*.p
+			@\
+			$(ECHO) "Generate   files     : $*.png";						\
+			$(EPS2PNG) $< $@;
+
+$(DIR_SCHEMA_EPS)/%.eps	: $(DIR_SCHEMA)/%.eps $(DIR_SCHEMA_EPS)
+			@\
+			$(ECHO) "Generate   files     : $*.eps";						\
+			$(CP) $(DIR_SCHEMA)/$*.eps $(DIR_SCHEMA_EPS);
+
+$(DIR_SCHEMA_EPS)/%.eps	: $(DIR_SCHEMA)/%.fig $(DIR_SCHEMA_EPS)
+			@\
+			$(ECHO) "Generate   files     : $*.eps";						\
+			$(FIG2EPS) $< $@;
+
+$(DIR_SCHEMA_EPS)/%.eps	: $(DIR_GRAPH)/%.p    $(DIR_SCHEMA_EPS)
+			@\
+			$(ECHO) "Generate   files     : $*.eps";						\
+			$(CD) $(DIR_GRAPH); $(GNUPLOT) $*.p;
 
 #--------------------------------------------------------------------------------
@@ -395,13 +403,15 @@
 
 clean			:
-			@$(ECHO) "Delete     temporary files              "$(PWD)
-			@$(RM) $(DIR_SCHEMA_EPS) $(DIR_SCHEMA_PNG)  $(DIR_TEX) $(DIR_PACKAGE)/*.aux
-			@$(RM) $(DVI_FILES) $(PS_FILES) $(PDF_FILES)
-			@$(MAKE) clean_rec DIR_CLEAN=.  
+			@\
+			$(ECHO) "Delete     temporary files              "$(PWD);				\
+			$(RM) $(DIR_SCHEMA_EPS) $(DIR_SCHEMA_PNG)  $(DIR_TEX) $(DIR_PACKAGE)/*.aux;		\
+			$(RM) $(DVI_FILES) $(PS_FILES) $(PDF_FILES);						\
+			$(MAKE) clean_rec DIR_CLEAN=.  ;
 
 #Clean recursive
 clean_rec		:
-			@$(ECHO) "Delete     temporary files in directory $(DIR_CLEAN)"
-			@$(RM)	$(DIR_CLEAN)/*~ 		\
+			@\
+			$(ECHO) "Delete     temporary files in directory $(DIR_CLEAN)";				\
+			$(RM)	$(DIR_CLEAN)/*~ 		\
 				$(DIR_CLEAN)/*.bak  		\
 				$(DIR_CLEAN)/*.aux  		\
@@ -418,7 +428,6 @@
 				$(DIR_CLEAN)/*.nav  		\
 				$(DIR_CLEAN)/*.snm  		\
-				$(DIR_CLEAN)/missfont.log
-			@# The .bbl file is to be removed if "bibtex" is used.
-			@for files in `$(LS) $(DIR_CLEAN)`; do                              			\
+				$(DIR_CLEAN)/missfont.log;	\
+			for files in `$(LS) $(DIR_CLEAN)`; do                              			\
 				if $(TEST) -d $(DIR_CLEAN)/$$files;                         			\
 				then                                                        			\
@@ -428,6 +437,7 @@
 
 clean_all		: clean
-			@$(ECHO) "Delete     temporary files (all)"
-			@$(RM) $(DIR_DOCUMENTATION)/*.pdf
+			@\
+			$(ECHO) "Delete     temporary files (all)";						\
+			$(RM) $(DIR_DOCUMENTATION)/*.pdf;
 
 #--------------------------------------------------------------------------------
@@ -436,16 +446,17 @@
 
 help			:
-			@$(ECHO) "Environnement to generate documents and presentations"
-			@$(ECHO) "Version         : $(VERSION)"
-			@$(ECHO) ""
-			@$(ECHO) "List of rules   :"
-			@$(ECHO) " * all          : Cf rules \"help\""
-			@$(ECHO) " * clean        : Erase generate files"
-			@$(ECHO) " * clean_all    : Erase all generate files"
-			@$(ECHO) " * delete       : Erase all file and directory of a document"
-			@$(ECHO) " * doc          : Generate all documents"
-			@$(ECHO) " * help         : Print this message"
-			@$(ECHO) " * new          : Create all file and directy for a new document"
-			@$(ECHO) " * rename       : Rename a document"
-			@$(ECHO) " * view         : List all document to view"
-			@$(ECHO) ""
+			@\
+			$(ECHO) "Environnement to generate documents and presentations";             		\
+			$(ECHO) "Version         : $(VERSION)";					     		\
+			$(ECHO) "";								     		\
+			$(ECHO) "List of rules   :";						     		\
+			$(ECHO) " * all          : Cf rules \"help\"";				     		\
+			$(ECHO) " * clean        : Erase generate files";			     		\
+			$(ECHO) " * clean_all    : Erase all generate files";			     		\
+			$(ECHO) " * delete       : Erase all file and directory of a document";	     		\
+			$(ECHO) " * doc          : Generate all documents";			     		\
+			$(ECHO) " * help         : Print this message";				     		\
+			$(ECHO) " * new          : Create all file and directy for a new document";  		\
+			$(ECHO) " * rename       : Rename a document";				     		\
+			$(ECHO) " * view         : List all document to view";			     		\
+			$(ECHO) "";                                                                  
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_automate-fsm_dcache_req.fig
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_automate-fsm_dcache_req.fig	(revision 44)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_automate-fsm_dcache_req.fig	(revision 45)
@@ -8,6 +8,4 @@
 -2
 1200 2
-5 1 0 1 0 7 50 -1 -1 0.000 0 1 1 0 5362.500 2700.000 5550 2700 5250 2550 5250 2850
-	3 0 1.00 60.00 120.00
 5 1 0 1 0 7 50 -1 -1 0.000 0 0 1 0 6525.000 4725.000 6450 4200 6900 4350 7050 4800
 	3 0 1.00 60.00 120.00
@@ -22,14 +20,14 @@
 5 1 0 1 0 7 50 -1 -1 0.000 0 1 1 0 5175.000 4725.000 5250 4200 4800 4350 4650 4800
 	3 0 1.00 60.00 120.00
-5 1 0 1 0 7 50 -1 -1 0.000 0 1 1 0 5362.500 3750.000 5550 3750 5250 3600 5250 3900
+5 1 0 1 0 7 50 -1 -1 0.000 0 0 1 0 6675.000 3675.000 6150 3750 6300 3300 6750 3150
 	3 0 1.00 60.00 120.00
-6 5175 3675 6525 4425
-1 1 0 1 0 11 50 -1 20 0.000 1 0.0000 5850 4050 600 300 5850 4050 6450 3750
-4 1 0 50 -1 2 8 0.0000 0 105 420 5850 4050 Request\001
--6
-6 5175 2625 6525 3375
-1 1 0 1 0 11 50 -1 20 0.000 1 0.0000 5850 3000 600 300 5850 3000 6450 2700
-4 1 0 50 -1 2 8 0.0000 0 90 210 5850 3000 Init\001
--6
+5 1 0 1 0 7 50 -1 -1 0.000 0 0 1 0 6525.000 3375.000 7050 3300 6900 3750 6450 3900
+	3 0 1.00 60.00 120.00
+5 1 0 1 0 7 50 -1 -1 0.000 0 1 1 0 5850.000 3637.500 6000 3750 5850 3450 5700 3750
+	3 0 1.00 60.00 120.00
+5 1 0 1 0 7 50 -1 -1 0.000 0 1 1 0 4350.000 2587.500 4500 2700 4350 2400 4200 2700
+	3 0 1.00 60.00 120.00
+5 1 0 1 0 7 50 -1 -1 0.000 0 1 1 0 7350.000 2587.500 7500 2700 7350 2400 7200 2700
+	3 0 1.00 60.00 120.00
 6 6675 4725 8025 5475
 1 1 0 1 0 11 50 -1 20 0.000 1 0.0000 7350 5100 600 300 7350 5100 7950 4800
@@ -42,20 +40,34 @@
 4 1 0 50 -1 2 8 0.0000 0 105 780 4350 5025 QUEUE_REQ\001
 -6
+6 5175 3675 6525 4425
+1 1 0 1 0 11 50 -1 20 0.000 1 0.0000 5850 4050 600 300 5850 4050 6450 3750
+4 1 0 50 -1 2 8 0.0000 0 105 420 5850 4050 Request\001
+-6
+6 3675 2625 5025 3375
+1 1 0 1 0 11 50 -1 20 0.000 1 0.0000 4350 3000 600 300 4350 3000 4950 2700
+4 1 0 50 -1 2 8 0.0000 0 90 210 4350 3000 Init\001
+-6
+1 1 0 1 0 11 50 -1 20 0.000 1 0.0000 7350 3000 600 300 7350 3000 7950 2700
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 4800 3225 5400 3825
 2 1 0 1 0 7 50 -1 20 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 6450 2550 6300 2775
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 5850 3300 5850 3750
-4 0 0 50 -1 0 8 0.0000 0 105 645 5925 3525 (3) : end_init\001
+	 3450 3000 3750 3000
 4 1 0 50 -1 0 8 0.0000 0 120 1230 7350 5850 (5) : queue_read_hit.full\001
 4 2 0 50 -1 0 8 0.0000 0 120 1485 6675 5250 (6) : not(queue_read_hit.full)\001
 4 1 0 50 -1 0 8 0.0000 0 120 990 4350 5850 (8) : queue_req.full\001
 4 0 0 50 -1 0 8 0.0000 0 120 1245 5025 5100 (9) : not(queue_req.full)\001
-4 2 0 50 -1 0 8 0.0000 0 105 885 5175 3525 (10) : not(A or B)\001
-4 0 0 50 -1 0 8 0.0000 0 120 2430 3750 6300 A : ((read and miss) or write).request_queue.full\001
-4 1 0 50 -1 0 8 0.0000 0 105 810 6525 2475 (1) : not(nreset)\001
-4 1 0 50 -1 0 8 0.0000 0 105 900 5175 2475 (2) : not(end_init)\001
-4 0 0 50 -1 0 8 0.0000 0 120 3345 3750 6450 B : ((read and not (miss)) or (type_others)) and queue_read_hit.full\001
 4 0 0 50 -1 0 8 0.0000 0 105 315 6975 4275 (4) : B\001
 4 2 0 50 -1 0 8 0.0000 0 105 330 4725 4275 (7) : A\001
+4 2 0 50 -1 0 8 0.0000 0 105 645 4950 3525 (3) : end_init\001
+4 1 0 50 -1 2 8 0.0000 0 120 420 7350 3000 synchro\001
+4 1 0 50 -1 0 8 0.0000 0 105 900 4350 2325 (2) : not(end_init)\001
+4 1 0 50 -1 0 8 0.0000 0 105 885 5850 3300 (13) : not(A or B)\001
+4 0 0 50 -1 0 8 0.0000 0 120 1200 7125 3525 (12) : queue_info.empty\001
+4 1 0 50 -1 0 8 0.0000 0 120 1455 7350 2325 (11) : not(queue_info.empty)\001
+4 2 0 50 -1 0 8 0.0000 0 105 390 6600 3000 (10) : C\001
+4 0 0 50 -1 0 8 0.0000 0 120 2940 3750 6300 A : ((read and miss) or write).request_queue.full and not C\001
+4 0 0 50 -1 0 8 0.0000 0 120 3825 3750 6450 B : ((read and not (miss)) or (type_others)) and queue_read_hit.fulland not C\001
+4 0 0 50 -1 0 8 0.0000 0 120 1305 3750 6600 C : type = synchronisation\001
+4 2 0 50 -1 0 8 0.0000 0 105 810 3375 3000 (1) : not(nreset)\001
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_bloc_COUNTER.fig
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_bloc_COUNTER.fig	(revision 45)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_bloc_COUNTER.fig	(revision 45)
@@ -0,0 +1,86 @@
+#FIG 3.2
+Landscape
+Center
+Inches
+Letter  
+100.00
+Single
+-2
+1200 2
+6 6150 3300 6750 3600
+2 2 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 5
+	 6750 3600 6150 3600 6150 3300 6750 3300 6750 3600
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
+	 6150 3300 6450 3600 6750 3300
+-6
+6 6150 2700 6750 3000
+2 2 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 5
+	 6750 3000 6150 3000 6150 2700 6750 2700 6750 3000
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
+	 6150 2700 6450 3000 6750 2700
+-6
+6 4050 3900 5700 5100
+2 2 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 5
+	 5700 3900 4050 3900 4050 4200 5700 4200 5700 3900
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 5250 3900 5250 4200
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4800 3900 4800 4200
+2 2 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 5
+	 4050 4800 5700 4800 5700 5100 4050 5100 4050 4800
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4800 4800 4800 5100
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 5250 4800 5250 5100
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 5025 4200 5025 4800
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 4425 4200 4425 4800
+4 1 0 50 -1 0 8 0.0000 0 90 180 4425 4050 Tag\001
+4 1 0 50 -1 0 8 0.0000 0 75 300 5025 4050 Index\001
+4 1 0 50 -1 0 8 0.0000 0 75 330 5475 4050 Offset\001
+4 1 0 50 -1 0 8 0.0000 0 90 180 4425 4950 Tag\001
+4 1 0 50 -1 0 8 0.0000 0 75 300 5025 4950 Index\001
+4 1 0 50 -1 0 8 0.0000 0 75 330 5475 4950 Offset\001
+-6
+1 3 0 1 0 7 50 -1 -1 0.000 1 0.0000 6600 2250 150 150 6600 2250 6750 2250
+2 2 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 5
+	 6750 3900 6150 3900 6150 4200 6750 4200 6750 3900
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
+	 6750 3900 6600 4050 6750 4200
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 6450 3600 6450 3900
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 5
+	3 0 1.00 60.00 120.00
+	 6450 4500 7050 4500 7050 3150 6600 3150 6600 3300
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 6450 3000 6300 3300
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 6600 2400 6600 2700
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 4
+	3 0 1.00 60.00 120.00
+	 7050 3150 7050 1800 6600 1800 6600 2100
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 6300 2400 6300 2700
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 3
+	3 0 1.00 60.00 120.00
+	 5850 1800 5850 2850 6150 2850
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 3
+	3 0 1.00 60.00 120.00
+	 5550 1800 5550 3450 6150 3450
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 4
+	3 0 1.00 60.00 120.00
+	 6450 4200 6450 4500 5475 4500 5475 4800
+4 1 0 50 -1 0 8 0.0000 0 75 135 6600 2250 +1\001
+4 1 0 50 -1 0 8 0.0000 0 75 150 6300 2325 "0"\001
+4 0 0 50 -1 0 8 0.4363 0 120 1560 5550 1650 VCI_REQ_CPT_write_enable\001
+4 0 0 50 -1 0 8 0.4363 0 105 1155 5850 1650 VCI_REQ_CPT_reset\001
+4 0 0 50 -1 0 8 0.0000 0 105 840 7200 4050 VCI_REQ_CPT\001
+4 2 0 50 -1 0 8 0.0000 0 105 1230 3900 4050 DCACHE_REQ.address\001
+4 2 0 50 -1 0 8 0.0000 0 105 930 3900 4950 VCI_REQ.address\001
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_bloc_QUEUE_READ_HIT.fig
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_bloc_QUEUE_READ_HIT.fig	(revision 44)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_bloc_QUEUE_READ_HIT.fig	(revision 45)
@@ -8,33 +8,38 @@
 -2
 1200 2
-2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 2
+6 3825 2925 7275 4725
+2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 4
+	 4950 3450 6150 3450 6150 4350 4950 4350
+2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 2
+	 5850 3450 5850 4350
+2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 2
+	 5550 4350 5550 3450
+2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 3
 	3 0 1.00 60.00 120.00
-	 4650 3600 4950 3600
-2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 2
+	 4650 3150 5100 3150 5100 3450
+2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 3
 	3 0 1.00 60.00 120.00
-	 4950 3750 4650 3750
-2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 4
-	 4950 3450 6150 3450 6150 4650 4950 4650
-2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 2
-	 5850 3450 5850 4650
-2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 2
-	 5550 4650 5550 3450
-2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 6150 3600 6450 3600
-2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 6450 3750 6150 3750
-2 1 0 1 0 11 50 -1 -1 0.000 0 0 -1 1 0 3
-	3 0 1.00 60.00 120.00
-	 4650 4275 4725 4275 4950 4275
+	 6000 3450 6000 3150 6450 3150
 2 1 0 1 0 11 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 6150 4275 6450 4275
-4 1 0 50 -1 2 8 0.0000 0 105 1185 5550 3375 QUEUE_READ_HIT\001
-4 2 0 50 -1 0 8 6.2832 0 90 630 4500 3750 WRITE_ack\001
-4 2 0 50 -1 0 8 6.2832 0 90 615 4500 3600 WRITE_val\001
-4 2 0 50 -1 0 8 6.2832 0 90 675 4500 4275 WRITE_num\001
-4 0 0 50 -1 0 8 6.2832 0 90 570 6600 3750 READ_ack\001
-4 0 0 50 -1 0 8 6.2832 0 90 555 6600 3600 READ_val\001
-4 0 0 50 -1 0 8 6.2832 0 90 615 6600 4275 READ_num\001
+	 6150 3900 6450 3900
+2 1 0 1 0 11 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 4650 3900 4950 3900
+2 1 0 1 0 27 50 -1 20 0.000 0 0 -1 0 0 2
+	 4800 3825 4725 3975
+2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 3
+	3 0 1.00 60.00 120.00
+	 5100 4350 5100 4650 4650 4650
+2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 3
+	3 0 1.00 60.00 120.00
+	 6450 4650 6000 4650 6000 4350
+4 1 0 50 -1 2 8 0.0000 0 105 1185 5550 3000 QUEUE_READ_HIT\001
+4 2 0 50 -1 0 8 0.0000 0 90 615 4500 3150 WRITE_val\001
+4 0 0 50 -1 0 8 0.0000 0 90 555 6600 3150 READ_val\001
+4 2 0 50 -1 0 8 0.0000 0 90 675 4500 3900 WRITE_num\001
+4 0 0 50 -1 0 8 0.0000 0 90 615 6600 3900 READ_num\001
+4 2 0 50 -1 0 8 0.0000 0 105 420 4725 4125 [1:6] bits\001
+4 2 0 50 -1 0 8 0.0000 0 90 630 4500 4650 WRITE_ack\001
+4 0 0 50 -1 0 8 0.0000 0 90 570 6600 4650 READ_ack\001
+-6
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_bloc_QUEUE_REQ.fig
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_bloc_QUEUE_REQ.fig	(revision 44)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_bloc_QUEUE_REQ.fig	(revision 45)
@@ -8,33 +8,36 @@
 -2
 1200 2
-2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 2
+2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 4
+	 4950 5550 6150 5550 6150 6450 4950 6450
+2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 2
+	 5850 5550 5850 6450
+2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 2
+	 5550 6450 5550 5550
+2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 3
 	3 0 1.00 60.00 120.00
-	 4650 3600 4950 3600
-2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 2
+	 4650 5250 5100 5250 5100 5550
+2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 3
 	3 0 1.00 60.00 120.00
-	 4950 3750 4650 3750
-2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 4
-	 4950 3450 6150 3450 6150 4650 4950 4650
-2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 2
-	 5850 3450 5850 4650
-2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 2
-	 5550 4650 5550 3450
-2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 6150 3600 6450 3600
-2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 6450 3750 6150 3750
-2 1 0 1 0 11 50 -1 -1 0.000 0 0 -1 1 0 3
-	3 0 1.00 60.00 120.00
-	 4650 4275 4725 4275 4950 4275
+	 6000 5550 6000 5250 6450 5250
 2 1 0 1 0 11 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 6150 4275 6450 4275
-4 2 0 50 -1 0 8 0.0000 0 90 630 4500 3750 WRITE_ack\001
-4 2 0 50 -1 0 8 0.0000 0 90 615 4500 3600 WRITE_val\001
-4 2 0 50 -1 0 8 0.0000 0 90 675 4500 4275 WRITE_num\001
-4 0 0 50 -1 0 8 0.0000 0 90 570 6600 3750 READ_ack\001
-4 0 0 50 -1 0 8 0.0000 0 90 555 6600 3600 READ_val\001
-4 0 0 50 -1 0 8 0.0000 0 90 615 6600 4275 READ_num\001
-4 1 0 50 -1 2 8 0.0000 0 105 780 5550 3375 QUEUE_REQ\001
+	 6150 6000 6450 6000
+2 1 0 1 0 11 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 4650 6000 4950 6000
+2 1 0 1 0 27 50 -1 20 0.000 0 0 -1 0 0 2
+	 4800 5925 4725 6075
+2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 3
+	3 0 1.00 60.00 120.00
+	 5100 6450 5100 6750 4650 6750
+2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 3
+	3 0 1.00 60.00 120.00
+	 6450 6750 6000 6750 6000 6450
+4 2 0 50 -1 0 8 0.0000 0 90 615 4500 5250 WRITE_val\001
+4 0 0 50 -1 0 8 0.0000 0 90 555 6600 5250 READ_val\001
+4 2 0 50 -1 0 8 0.0000 0 90 675 4500 6000 WRITE_num\001
+4 0 0 50 -1 0 8 0.0000 0 90 615 6600 6000 READ_num\001
+4 2 0 50 -1 0 8 0.0000 0 105 420 4725 6225 [1:6] bits\001
+4 2 0 50 -1 0 8 0.0000 0 90 630 4500 6750 WRITE_ack\001
+4 0 0 50 -1 0 8 0.0000 0 90 570 6600 6750 READ_ack\001
+4 1 0 50 -1 2 8 0.0000 0 105 780 5550 5100 QUEUE_REQ\001
Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_bloc_QUEUE_RSP.fig
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_bloc_QUEUE_RSP.fig	(revision 44)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/CACHE_bloc_QUEUE_RSP.fig	(revision 45)
@@ -8,49 +8,58 @@
 -2
 1200 2
-2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 2
+2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 4
+	 4807 5556 6007 5556 6007 6456 4807 6456
+2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 2
+	 5707 5556 5707 6456
+2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 2
+	 5407 6456 5407 5556
+2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 3
 	3 0 1.00 60.00 120.00
-	 4650 3600 4950 3600
-2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 2
+	 4507 5256 4957 5256 4957 5556
+2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 3
 	3 0 1.00 60.00 120.00
-	 4950 3750 4650 3750
-2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 4
-	 4950 3450 6150 3450 6150 4650 4950 4650
-2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 2
-	 5850 3450 5850 4650
-2 1 0 1 0 11 50 -1 20 0.000 0 0 -1 0 0 2
-	 5550 4650 5550 3450
-2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 6150 3600 6450 3600
-2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 6450 3750 6150 3750
+	 5857 5556 5857 5256 6307 5256
 2 1 0 1 0 11 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 6150 4275 6450 4275
+	 6007 6006 6307 6006
+2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 3
+	3 0 1.00 60.00 120.00
+	 4957 6456 4957 6756 4507 6756
+2 1 2 1 0 11 50 -1 -1 3.000 0 0 -1 1 0 3
+	3 0 1.00 60.00 120.00
+	 6307 6756 5857 6756 5857 6456
 2 1 0 1 0 11 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 4650 4275 4950 4275
+	 4507 5706 4807 5706
+2 1 0 1 0 27 50 -1 20 0.000 0 0 -1 0 0 2
+	 4657 5631 4582 5781
 2 1 0 1 0 11 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 4650 4425 4950 4425
+	 4507 6006 4807 6006
+2 1 0 1 0 27 50 -1 20 0.000 0 0 -1 0 0 2
+	 4657 5931 4582 6081
 2 1 0 1 0 11 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 4650 4125 4950 4125
+	 4507 6300 4807 6300
+2 1 0 1 0 27 50 -1 20 0.000 0 0 -1 0 0 2
+	 4650 6225 4575 6375
 2 1 0 1 0 11 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 6150 4125 6450 4125
+	 6007 5700 6307 5700
 2 1 0 1 0 11 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 6150 4425 6450 4425
-4 2 0 50 -1 0 8 0.0000 0 90 630 4500 3750 WRITE_ack\001
-4 2 0 50 -1 0 8 0.0000 0 90 615 4500 3600 WRITE_val\001
-4 0 0 50 -1 0 8 0.0000 0 90 570 6600 3750 READ_ack\001
-4 0 0 50 -1 0 8 0.0000 0 90 555 6600 3600 READ_val\001
-4 1 0 50 -1 2 8 0.0000 0 105 750 5550 3375 QUEUE_RSP\001
-4 0 0 50 -1 0 8 0.0000 0 90 615 6600 4125 READ_num\001
-4 0 0 50 -1 0 8 0.0000 0 105 600 6600 4275 READ_line\001
-4 0 0 50 -1 0 8 0.0000 0 90 660 6600 4425 READ_error\001
-4 2 0 50 -1 0 8 0.0000 0 90 675 4500 4125 WRITE_num\001
-4 2 0 50 -1 0 8 0.0000 0 105 660 4500 4275 WRITE_line\001
-4 2 0 50 -1 0 8 0.0000 0 90 720 4500 4425 WRITE_error\001
+	 6007 6300 6307 6300
+4 2 0 50 -1 0 8 0.0000 0 90 615 4357 5256 WRITE_val\001
+4 0 0 50 -1 0 8 0.0000 0 90 555 6457 5256 READ_val\001
+4 2 0 50 -1 0 8 0.0000 0 90 630 4357 6756 WRITE_ack\001
+4 0 0 50 -1 0 8 0.0000 0 90 570 6457 6756 READ_ack\001
+4 2 0 50 -1 0 8 0.0000 0 90 675 4357 5706 WRITE_num\001
+4 2 0 50 -1 0 8 0.0000 0 105 420 4575 5850 [1:6] bits\001
+4 2 0 50 -1 0 8 0.0000 0 105 660 4357 6006 WRITE_line\001
+4 2 0 50 -1 0 8 0.0000 0 90 720 4350 6300 WRITE_error\001
+4 2 0 50 -1 0 8 0.0000 0 90 225 4582 6456 1 bit\001
+4 2 0 50 -1 0 8 0.0000 0 105 660 4575 6150 [32:4096] bits\001
+4 0 0 50 -1 0 8 0.0000 0 90 615 6450 5700 READ_num\001
+4 0 0 50 -1 0 8 0.0000 0 90 660 6450 6300 READ_error\001
+4 0 0 50 -1 0 8 0.0000 0 105 600 6457 6006 READ_line\001
+4 1 0 50 -1 2 8 0.0000 0 105 750 5400 5100 QUEUE_RSP\001
